import { jsx } from "react/jsx-runtime";
import { CurrencyInr as CurrencyInr$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyInr = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CurrencyInr", ...props, children: /* @__PURE__ */ jsx(CurrencyInr$1, { weight: variant }) });
  }
);
CurrencyInr.displayName = "CurrencyInr";
Object.assign(CurrencyInr, { isGdsIcon: true });
export {
  CurrencyInr
};
